%define name kgamma
%define version 1.0.1 
%define release 5mdk

Summary:	A KDE Control Center module for gamma calibration/correction
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://kgamma.berlios.de/index2.php
Group:		Graphical desktop/KDE 
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  kdelibs-devel libjpeg62-devel XFree86-devel
BuildRequires:  libpng-devel

%description
KGamma is a KDE Control Center module for gamma calibration/correction 
of XFree86. With proper gamma settings, your display (websites, images,
etc.) will look the same on your monitor as on other monitors. The gamma 
settings can be adjusted either as a single value or separately for the
red, green and blue components. In addition, KGamma enables you to
calibrate/correct your monitor's contrast and brightness settings. A 
sequence of test pictures helps you hone in on the optimal  settings. 
Note that the adjustments are for your monitor, not particular images.

%prep
%setup

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --prefix=%_prefix \
            --libdir=%_libdir \
            --mandir=%_mandir \
            --datadir=%_datadir \
            --disable-debug \
            --enable-mt \
            --enable-shared \
            --disable-static \
            --disable-objprelink \
            --with-pic \
            --with-gnu-ld \
            --disable-rpath \
            --disable-embedded \
            --enable-fast-install=yes \
            --with-qt-dir=/usr/lib/qt3 \
            --disable-warnings


%make 

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
install -d -m 755 %{buildroot}/%{_menudir}
install -d -m 755 %{buildroot}%{_miconsdir}
install -d -m 755 %{buildroot}%{_liconsdir}
kdedesktop2mdkmenu.pl %{name} Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/%{_datadir}/applnk/Settings/LookNFeel/kgamma.desktop $RPM_BUILD_ROOT/%{_menudir}/%{name} kde
install -m 644 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png %{buildroot}%{_miconsdir}
install -m 644 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}%{_iconsdir}
install -m 644 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png %{buildroot}%{_liconsdir}
%{find_lang} %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang 
%defattr(-,root,root)
%doc AUTHORS COPYING FAQ TODO README INSTALL 
%_bindir/xf86gammacfg
%_libdir/kde3/libkcm_kgamma.la
%_libdir/kde3/libkcm_kgamma.so
%_datadir/applnk/Settings/LookNFeel/kgamma.desktop
%_datadir/apps/kgamma/pics/*.png
%_docdir/HTML/*/kgamma/*
%_iconsdir/hicolor/16x16/apps/kgamma.png
%_iconsdir/hicolor/32x32/apps/kgamma.png
%_iconsdir/hicolor/48x48/apps/kgamma.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%_menudir/%{name}

%changelog
* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-5mdk
- rebuild

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1 -4mdk
- Rebuild

* Sun May 11 2003 Laurent Culioli <laurent@pschit.net> 1.0.1-3-mdk
- buildrequires

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-2mdk
- Rebuild

* Wed Feb 12 2003 Laurent Culioli <laurent@pschit.net> 1.0.1-1mdk
- initial package

